Skip to main content
GET
/
commerce
/
customer
/
accounts
/
{accountId}
/
loginstate
Error
A valid request URL is required to generate request examples
{
  "createdOn": "2023-11-07T05:31:56Z",
  "failedLoginAttemptCount": 123,
  "firstFailedLoginAttemptOn": "2023-11-07T05:31:56Z",
  "isLocked": true,
  "isPasswordChangeRequired": true,
  "lastLockedOn": "2023-11-07T05:31:56Z",
  "lastLoginOn": "2023-11-07T05:31:56Z",
  "lastPasswordChangeOn": "2023-11-07T05:31:56Z",
  "remainingLoginAttempts": 123,
  "updatedOn": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

accountId
integer<int32>
required

Query Parameters

userId
string

EmailAddress of the customer whose details you want to view.

responseFields
string

limits which fields are returned in the response body

Response

Success

createdOn
string<date-time> | null
failedLoginAttemptCount
integer<int32>
firstFailedLoginAttemptOn
string<date-time> | null
isLocked
boolean
isPasswordChangeRequired
boolean
lastLockedOn
string<date-time> | null
lastLoginOn
string<date-time> | null
lastPasswordChangeOn
string<date-time> | null
remainingLoginAttempts
integer<int32>
updatedOn
string<date-time> | null